package com.mortals.xhx.module.firm.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.firm.model.vo.FirmVo;
/**
* 设备生产厂商实体对象
*
* @author zxfei
* @date 2022-07-01
*/

public class FirmEntity extends FirmVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备生产厂商名称
    */
    @Excel(name = "设备生产厂商名称")
    private String firmName;
    /**
    * 设备生产商编码
    */
    private String firmCode;
    /**
    * 备注
    */
    private String firmRemark;



    public FirmEntity(){}
    /**
    * 获取 设备生产厂商名称
    * @return String
    */
    public String getFirmName(){
        return firmName;
    }
    /**
    * 设置 设备生产厂商名称
    * @param firmName
    */
    public void setFirmName(String firmName){
        this.firmName = firmName;
    }
    /**
    * 获取 设备生产商编码
    * @return String
    */
    public String getFirmCode(){
        return firmCode;
    }
    /**
    * 设置 设备生产商编码
    * @param firmCode
    */
    public void setFirmCode(String firmCode){
        this.firmCode = firmCode;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getFirmRemark(){
        return firmRemark;
    }
    /**
    * 设置 备注
    * @param firmRemark
    */
    public void setFirmRemark(String firmRemark){
        this.firmRemark = firmRemark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FirmEntity) {
            FirmEntity tmp = (FirmEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",firmName:").append(getFirmName());
        sb.append(",firmCode:").append(getFirmCode());
        sb.append(",firmRemark:").append(getFirmRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.firmName = "";

            this.firmCode = "";

            this.firmRemark = "";
    }
}